POST api/departmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "f780cf5e-0605-4bc7-b9d7-5a9b472fc3cc",
"selected_nameplate_id": "066412b2-f657-4edc-96b1-2109c39ffc91",
"active": true,
"department_id": "e262df78-092f-4e13-8d19-476619eb2596",
"id": "73e6f4ca-ac94-4003-8836-7be023399098",
"physical_item_id": "296f5bc9-06b9-44f7-aabc-8bd1768a9eb6",
"service_item_id": "aa5a34b1-d6c6-4511-81a0-af01d520d6c2",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>e262df78-092f-4e13-8d19-476619eb2596</department_id>
<id>73e6f4ca-ac94-4003-8836-7be023399098</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>296f5bc9-06b9-44f7-aabc-8bd1768a9eb6</physical_item_id>
<quantity>1</quantity>
<service_item_id>aa5a34b1-d6c6-4511-81a0-af01d520d6c2</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>066412b2-f657-4edc-96b1-2109c39ffc91</selected_nameplate_id>
<selected_sticker_id>f780cf5e-0605-4bc7-b9d7-5a9b472fc3cc</selected_sticker_id>
</department_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"acda9eec-1bae-470f-872e-a146b95dd729"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">acda9eec-1bae-470f-872e-a146b95dd729</guid>